[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Libguestfs] Fixes from the patch queue of the Debian package



* Richard W.M. Jones:

>> Not sure. Some things still need to be installed to /usr/lib instead of
>> /usr/lib/<triple>, even with Debian's multiarch approach. In Debian,
>> Ruby packages are installed to the vendor_ruby path.
> Is there anything I can do upstream to help with this?

I'll post the patches for discussion; see for yourself.

>> Fantastic. What version of Ruby is this? 1.9.3?
>
> Indeed, it's 1.9.3:
>
>   ruby-1.9.3.392-29.fc18.x86_64
>
> Debian is on 1.9.1 IIRC?

Uh, that's interesting. Actually, it's 1.9.3. The package name is
ruby1.9.1; the package's version number is 1.9.3.194-8.

In any case, the piece of code that causes the compiler error should
only be compiled if HAVE_RB_HASH_LOOKUP is not defined. The comment
directly above tells me that this is "[f]or RHEL 5 (Ruby 1.8.5)".

Cheers,
-Hilko


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]